/*
 *	DATA.H
 *	Tom Kerrigan's Simple Chess Program (TSCP)
 *
 *	Copyright 1997 Tom Kerrigan
 */


/* this is basically a copy of data.c that's included by most
   of the source files so they can use the data.c variables */

extern int computer_side;
extern int color[64];
extern int piece[64];
extern int side;
extern int xside;
extern int castle;
extern int ep;
extern int fifty;
extern int hash;
extern int ply;
extern int hply;
extern gen_t gen_dat[GEN_STACK];
extern int first_move[MAX_PLY];
extern int history[64][64];
extern hist_t hist_dat[HIST_STACK];
extern int max_time;
extern int max_depth;
extern int start_time;
extern int stop_time;
extern int nodes;
extern move pv[MAX_PLY][MAX_PLY];
extern int pv_length[MAX_PLY];
extern BOOL follow_pv;
extern int hash_piece[2][6][64];
extern int hash_side;
extern int hash_ep[64];
extern int mailbox[120];
extern int mailbox64[64];
extern BOOL slide[6];
extern int offsets[6];
extern int offset[6][8];
extern int castle_mask[64];
extern char piece_char[6];
extern int init_color[64];
extern int init_piece[64];

extern unsigned  __int64 light_squares;
extern unsigned  __int64 dark_squares;

extern unsigned  __int64 set_mask[65];
extern unsigned  __int64 clear_mask[65];

extern unsigned  __int64 above[65];
extern unsigned  __int64 below[65];

extern unsigned  __int64 light_pawn_moves[64];
extern unsigned  __int64 light_pawn_captures[64];
extern unsigned  __int64 dark_pawn_moves[64];
extern unsigned  __int64 dark_pawn_captures[64];
extern unsigned  __int64 knight_moves[64];
extern unsigned  __int64 ray_plus_7[64];
extern unsigned  __int64 ray_plus_9[64];
extern unsigned  __int64 ray_minus_7[64];
extern unsigned  __int64 ray_minus_9[64];
extern unsigned  __int64 ray_plus_8[64];
extern unsigned  __int64 ray_plus_1[64];
extern unsigned  __int64 ray_minus_8[64];
extern unsigned  __int64 ray_minus_1[64];
extern unsigned  __int64 king_moves[64];

extern unsigned  __int64 *rays[8];